javax.xml.bind.annotation.adapters

## Class CollapsedStringAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<String,String>
  - - javax.xml.bind.annotation.adapters.CollapsedStringAdapter

-     public class CollapsedStringAdapter
      extends XmlAdapter<String,String>

  Built-in `XmlAdapter` to handle `xs:token` and its derived types.

  This adapter removes leading and trailing whitespaces, then truncate any sequnce of tab, CR, LF, and SP by a single whitespace character ' '.

  Since:
    JAXB 2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollapsedStringAdapter()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static boolean` | `isWhiteSpace(char ch)` | returns true if the specified char is a white space character.
    `String` | `marshal(String s)` | No-op.
    `String` | `unmarshal(String text)` | Removes leading and trailing whitespaces of the string given as the parameter, then truncate any sequnce of tab, CR, LF, and SP by a single whitespace character ' '.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollapsedStringAdapter

          public CollapsedStringAdapter()

  - ### Method Detail

    - #### unmarshal

          public String unmarshal(String text)

      Removes leading and trailing whitespaces of the string given as the parameter, then truncate any sequnce of tab, CR, LF, and SP by a single whitespace character ' '.
      Specified by:
        `unmarshal` in class `XmlAdapter<String,String>`
      Parameters:
        `text` - The value to be converted. Can be null.

    - #### marshal

          public String marshal(String s)

      No-op. Just return the same string given as the parameter.
      Specified by:
        `marshal` in class `XmlAdapter<String,String>`
      Parameters:
        `s` - The value to be convereted. Can be null.

    - #### isWhiteSpace

          protected static boolean isWhiteSpace(char ch)

      returns true if the specified char is a white space character.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.